Skip to content
Start here

List extensions

client.Registrar.Extensions.List(ctx, params) (*CursorPagination[ExtensionListResponse], error)
GET/accounts/{account_id}/registrar/extensions

Returns metadata and JSON Schema documents describing the expected input structure for registration operations on each supported extension (TLD).

This endpoint uses cursor-based pagination. Results are ordered by extension name by default. To fetch the next page, pass the cursor value from the result_info object in the response as the cursor query parameter in your next request. An empty cursor string indicates there are no more pages.

Supports HTTP conditional GET via ETag. Include the ETag value from a previous response in an If-None-Match header to receive a 304 Not Modified when the data has not changed.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params ExtensionListParams
AccountID param.Field[string]

Path param: Identifier

maxLength32
Cursor param.Field[string]Optional

Query param: Opaque token from a previous response’s result_info.cursor. Pass this value to fetch the next page of results. Omit (or pass an empty string) for the first page.

maxLength256
Direction param.Field[ExtensionListParamsDirection]Optional

Query param: Sort direction for results. Defaults to ascending order.

const ExtensionListParamsDirectionAsc ExtensionListParamsDirection = "asc"
const ExtensionListParamsDirectionDesc ExtensionListParamsDirection = "desc"
Name param.Field[string]Optional

Query param: Filter extensions by exact name match. For example, name=com returns only the com extension.

PerPage param.Field[int64]Optional

Query param: Number of items to return per page.

maximum50
minimum1
SortBy param.Field[ExtensionListParamsSortBy]Optional

Query param: Column to sort results by. Defaults to name when omitted.

const ExtensionListParamsSortByName ExtensionListParamsSortBy = "name"
const ExtensionListParamsSortByCreatedAt ExtensionListParamsSortBy = "created_at"
const ExtensionListParamsSortByUpdatedAt ExtensionListParamsSortBy = "updated_at"
ReturnsExpand Collapse
type ExtensionListResponse struct{…}

Extension entry with metadata and JSON Schema documents for the registration operation.

Metadata ExtensionListResponseMetadata

Extension metadata

Name string

The full name of the extension. For example, “co.uk”, or “uk”

TLD string

The tld of the extension. For example, for “co.uk”, it’s “uk”. For “uk”, it’s “uk”

RegistrationSchema unknown

JSON Schema describing the expected input structure for registration operations on this extension.

List extensions

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/registrar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Registrar.Extensions.List(context.TODO(), registrar.ExtensionListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "metadata": {
        "name": "name",
        "tld": "tld"
      },
      "registration_schema": {}
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "metadata": {
        "name": "name",
        "tld": "tld"
      },
      "registration_schema": {}
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0
  }
}